import Keyboard from './Keyboard';
import { Designer } from '..';
export type EventCallback = (event?: Event) => void;
declare class DesignerKeyboard extends Keyboard {
    private static _instance;
    private static _disabled;
    private static excludeFromEditor;
    constructor(designer: Designer);
    addShortcut(shortcuts: string[] | string, callback: EventCallback): void;
    private _registerEvents;
    private _goToBrother;
    private _goToSideChild;
    private _goToParent;
    private _goToChild;
    private _goToNode;
    static register(designer: Designer): void;
    static pause(): void;
    static resume(): void;
    static isDisabled(): boolean;
    static getInstance(): DesignerKeyboard;
}
export default DesignerKeyboard;
